#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name:                 lsp-types
version:              1.3.0.1
visibility:           public
id:                   lsp-types-1.3.0.1-HF4Y38CexgZ6NbO4Zt1PiV
key:                  lsp-types-1.3.0.1-HF4Y38CexgZ6NbO4Zt1PiV
license:              MIT
copyright:            Alan Zimmerman, 2016-2021
maintainer:           alan.zimm@gmail.com
author:               Alan Zimmerman
homepage:             https://github.com/haskell/lsp
synopsis:
    Haskell library for the Microsoft Language Server Protocol, data types

description:
    An implementation of the types to allow language implementors to
    support the Language Server Protocol for their specific language.

category:             Development
abi:                  bf11b337db1b3007188b960d37b7ca7b
exposed:              True
exposed-modules:
    Data.IxMap Language.LSP.Types Language.LSP.Types.Capabilities
    Language.LSP.Types.Lens Language.LSP.VFS

hidden-modules:
    Language.LSP.Types.CallHierarchy Language.LSP.Types.Cancellation
    Language.LSP.Types.ClientCapabilities Language.LSP.Types.CodeAction
    Language.LSP.Types.CodeLens Language.LSP.Types.Command
    Language.LSP.Types.Common Language.LSP.Types.Completion
    Language.LSP.Types.Configuration Language.LSP.Types.Declaration
    Language.LSP.Types.Definition Language.LSP.Types.Diagnostic
    Language.LSP.Types.DocumentColor Language.LSP.Types.DocumentFilter
    Language.LSP.Types.DocumentHighlight
    Language.LSP.Types.DocumentLink Language.LSP.Types.DocumentSymbol
    Language.LSP.Types.FoldingRange Language.LSP.Types.Formatting
    Language.LSP.Types.Hover Language.LSP.Types.Implementation
    Language.LSP.Types.Initialize Language.LSP.Types.Location
    Language.LSP.Types.LspId Language.LSP.Types.MarkupContent
    Language.LSP.Types.Method Language.LSP.Types.Message
    Language.LSP.Types.Parsing Language.LSP.Types.Progress
    Language.LSP.Types.Registration Language.LSP.Types.References
    Language.LSP.Types.Rename Language.LSP.Types.SelectionRange
    Language.LSP.Types.ServerCapabilities
    Language.LSP.Types.SemanticTokens Language.LSP.Types.SignatureHelp
    Language.LSP.Types.StaticRegistrationOptions
    Language.LSP.Types.TextDocument Language.LSP.Types.TypeDefinition
    Language.LSP.Types.Uri Language.LSP.Types.Utils
    Language.LSP.Types.Window Language.LSP.Types.WatchedFiles
    Language.LSP.Types.WorkspaceEdit
    Language.LSP.Types.WorkspaceFolders
    Language.LSP.Types.WorkspaceSymbol

import-dirs:          /usr/lib/ghc-9.0.2/site-local/lsp-types-1.3.0.1
library-dirs:         /usr/lib/ghc-9.0.2/site-local/lsp-types-1.3.0.1
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/haskell-lsp-types
hs-libraries:         HSlsp-types-1.3.0.1-HF4Y38CexgZ6NbO4Zt1PiV
depends:
    Diff-0.4.1-3mDwHJEt9vRG1177g17AEy
    aeson-1.5.6.0-CXf7LknqfgZ2Hfi5jmQpYM base-4.15.1.0 binary-0.8.8.0
    bytestring-0.10.12.1 containers-0.6.4.1
    data-default-0.7.1.1-BkZarJ3J3008hHF2JOuYeW deepseq-1.4.5.0
    dependent-sum-0.7.1.0-6cWYLzWHMAb97TuZhjdcOE
    dependent-sum-template-0.1.1.1-ANVf5l7IpMJKERjcLaQoKu
    directory-1.3.6.2 dlist-1.0-ImNlUre2rHgIkuGbqNQCOO filepath-1.4.2.1
    hashable-1.4.0.2-2wjc0eIGTr36aGIxRaVTyK
    hslogger-1.3.1.0-1BnYxaxvI3n8AL50OKylcq
    lens-5.1.1-4ANCjh7E7B9DcPOifqwY15 mtl-2.2.2
    network-uri-2.6.4.1-H5u9dkL94aiDVW881Uc5hy
    rope-utf16-splay-0.3.2.0-7jpro0sVoNfFMLG49JBP3U
    scientific-0.3.7.0-8SzWenanV6tE1tEz514SLi
    some-1.0.4-64fTtFSChKWLEIFvtm7Thw template-haskell-2.17.0.0
    temporary-1.3-3jDPe7vWm6kLoGidtaw5Yd text-1.2.5.0
    unordered-containers-0.2.19.1-LWNw197ajNNFytwMBd2fIa

haddock-interfaces:   /usr/share/doc/haskell-lsp-types/html/lsp-types.haddock
haddock-html:         /usr/share/doc/haskell-lsp-types/html
' | '/usr/bin/ghc-pkg' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

